Bug 1651319 - [UPGRADES][14] Run online_data_migration during uc upgrade in same way as with overcloud
Summary: [UPGRADES][14] Run online_data_migration during uc upgrade in same way as wit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 14.0 (Rocky)
Assignee: Jiri Stransky
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 16:51 UTC by Yurii Prokulevych
Modified: 2019-01-11 11:54 UTC (History)
10 users (show)

Fixed In Version: python-tripleoclient-10.6.1-0.20181010222407.8c8f259.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 11:54:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1804275 None None None 2018-11-21 13:44:06 UTC
OpenStack gerrit 620083 'None' 'MERGED' 'Run online data migrations during undercloud/standalone upgrades' 2019-11-20 14:43:08 UTC
OpenStack gerrit 620897 'None' 'MERGED' '[Rocky] Fix backport of undercloud online upgrade' 2019-11-20 14:43:08 UTC
Red Hat Product Errata RHEA-2019:0045 None None None 2019-01-11 11:54:58 UTC

Description Yurii Prokulevych 2018-11-19 16:51:53 UTC
Description of problem:
-----------------------
While performing 13 to 14 upgrade we need to run online_data_migration for undercloud services following pattern we have for overcloud:

    openstack overcloud external-upgrade run --tags online_upgrade





Version-Release number of selected component (if applicable):
-------------------------------------------------------------
openstack-tripleo-heat-templates-9.0.1-0.20181013060879.el7ost.noarch


Expected results:
-----------------
There is command that should be invoked to perform online data migration during/after undercloud upgrade.

Comment 1 Jiri Stransky 2018-11-21 13:43:17 UTC
We need the migrations to happen so that we can consider UC service upgrades complete. Fix proposed upstream.

Comment 3 Jiri Stransky 2018-11-26 15:25:01 UTC
Merged to master, backport proposed to stable/rocky.

Comment 5 Jiri Stransky 2018-11-29 12:03:07 UTC
I need to pull this back to ON_DEV as the backport introduced a breakage.

Comment 9 Yurii Prokulevych 2018-12-13 12:56:47 UTC
Verified with python-tripleoclient-10.6.1-0.20181010222410.8c8f259.el7ost.noarch

2018-12-13 05:09:46 | ** Running ansible online upgrade tasks **
2018-12-13 05:09:47 | 
2018-12-13 05:09:47 | PLAY [Gather facts from undercloud] ********************************************
2018-12-13 05:09:47 | 
2018-12-13 05:09:47 | TASK [Gathering Facts] *********************************************************
2018-12-13 05:09:52 | ok: [undercloud-0]
2018-12-13 05:09:53 | 
2018-12-13 05:09:53 | PLAY [Gather facts from overcloud] *********************************************
2018-12-13 05:09:53 | 
2018-12-13 05:09:53 | TASK [Gathering Facts] *********************************************************
2018-12-13 05:09:57 | ok: [undercloud-0]
2018-12-13 05:09:57 | 
2018-12-13 05:09:57 | PLAY [Load global variables] ***************************************************
2018-12-13 05:09:57 | 
2018-12-13 05:09:57 | TASK [include_vars] ************************************************************
2018-12-13 05:09:57 | ok: [undercloud-0]
2018-12-13 05:09:57 | 
2018-12-13 05:09:57 | PLAY [External upgrade] ********************************************************
2018-12-13 05:09:57 | 
2018-12-13 05:09:57 | TASK [include] *****************************************************************
2018-12-13 05:09:57 | included: /home/stack/undercloud-ansible-sYU2Ea/external_upgrade_steps_tasks.yaml for undercloud-0
2018-12-13 05:09:57 | included: /home/stack/undercloud-ansible-sYU2Ea/external_upgrade_steps_tasks.yaml for undercloud-0
2018-12-13 05:09:58 | 
2018-12-13 05:09:58 | TASK [Online data migration for Ironic] ****************************************
2018-12-13 05:09:58 | skipping: [undercloud-0]
2018-12-13 05:09:58 | 
2018-12-13 05:09:58 | TASK [Online data migration for Nova] ******************************************
2018-12-13 05:09:58 | skipping: [undercloud-0]
2018-12-13 05:09:58 | 
2018-12-13 05:09:58 | TASK [Online data migration for Ironic] ****************************************
2018-12-13 05:10:00 | changed: [undercloud-0 -> 192.168.24.1]
2018-12-13 05:10:00 | 
2018-12-13 05:10:00 | TASK [Online data migration for Nova] ******************************************
2018-12-13 05:10:05 | changed: [undercloud-0 -> 192.168.24.1]
2018-12-13 05:10:05 | 
2018-12-13 05:10:05 | PLAY [External deploy steps] ***************************************************
2018-12-13 05:10:05 | 
2018-12-13 05:10:05 | TASK [include] *****************************************************************
2018-12-13 05:10:05 | included: /home/stack/undercloud-ansible-sYU2Ea/external_deploy_steps_tasks.yaml for undercloud-0
2018-12-13 05:10:05 | included: /home/stack/undercloud-ansible-sYU2Ea/external_deploy_steps_tasks.yaml for undercloud-0
2018-12-13 05:10:05 | included: /home/stack/undercloud-ansible-sYU2Ea/external_deploy_steps_tasks.yaml for undercloud-0
2018-12-13 05:10:05 | included: /home/stack/undercloud-ansible-sYU2Ea/external_deploy_steps_tasks.yaml for undercloud-0
2018-12-13 05:10:05 | included: /home/stack/undercloud-ansible-sYU2Ea/external_deploy_steps_tasks.yaml for undercloud-0
2018-12-13 05:10:05 | 
2018-12-13 05:10:05 | PLAY RECAP *********************************************************************
2018-12-13 05:10:05 | undercloud-0               : ok=12   changed=2    unreachable=0    failed=0

Comment 12 errata-xmlrpc 2019-01-11 11:54:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.